Bullet Collision Detection & Physics Library: btAlignedAllocator< T, Alignment > Class Template Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Private Types | Friends | List of all members
btAlignedAllocator< T, Alignment > Class Template Reference

The btAlignedAllocator is a portable class for aligned memory allocations. More...

`#include <btAlignedAllocator.h>`

## Classes
struct | rebind

## Public Types
typedef const T * | const_pointer
typedef const T & | const_reference
typedef T * | pointer
typedef T & | reference
typedef T | value_type

## Public Member Functions
| btAlignedAllocator ()
template<typename Other >
| btAlignedAllocator (const btAlignedAllocator< Other, Alignment > &)
pointer | address (reference ref) const
const_pointer | address (const_reference ref) const
pointer | allocate (size_type n, const_pointer *hint=0)
void | construct (pointer ptr, const value_type &value)
void | deallocate (pointer ptr)
void | destroy (pointer ptr)
template<typename O >
self_type & | operator= (const btAlignedAllocator< O, Alignment > &)

## Private Types
typedef btAlignedAllocator< T, Alignment > | self_type

## Friends
bool | operator== (const self_type &, const self_type &)

## Detailed Description

template<typename T, unsigned Alignment>
class btAlignedAllocator< T, Alignment >

The btAlignedAllocator is a portable class for aligned memory allocations.

Default implementations for unaligned and aligned allocations can be overridden by a custom allocator using btAlignedAllocSetCustom and btAlignedAllocSetCustomAligned.

Definition at line 65 of file btAlignedAllocator.h.

## Member Typedef Documentation

## ◆ const_pointer

template<typename T , unsigned Alignment>

const T* btAlignedAllocator< T, Alignment >::const_pointer

Definition at line 81 of file btAlignedAllocator.h.

## ◆ const_reference

template<typename T , unsigned Alignment>

const T& btAlignedAllocator< T, Alignment >::const_reference

Definition at line 82 of file btAlignedAllocator.h.

## ◆ pointer

template<typename T , unsigned Alignment>

T* btAlignedAllocator< T, Alignment >::pointer

Definition at line 83 of file btAlignedAllocator.h.

## ◆ reference

template<typename T , unsigned Alignment>

T& btAlignedAllocator< T, Alignment >::reference

Definition at line 84 of file btAlignedAllocator.h.

## ◆ self_type

template<typename T , unsigned Alignment>

btAlignedAllocator<T, Alignment> btAlignedAllocator< T, Alignment >::self_type
| private

Definition at line 67 of file btAlignedAllocator.h.

## ◆ value_type

template<typename T , unsigned Alignment>

T btAlignedAllocator< T, Alignment >::value_type

Definition at line 85 of file btAlignedAllocator.h.

## Constructor & Destructor Documentation

## ◆ btAlignedAllocator() [1/2]

template<typename T , unsigned Alignment>

btAlignedAllocator< T, Alignment >::btAlignedAllocator | ( |  | ) |
| inline

Definition at line 71 of file btAlignedAllocator.h.

## ◆ btAlignedAllocator() [2/2]

template<typename T , unsigned Alignment>
template<typename Other >

btAlignedAllocator< T, Alignment >::btAlignedAllocator | ( | const btAlignedAllocator< Other, Alignment > & |  | ) |
| inline

Definition at line 77 of file btAlignedAllocator.h.

## Member Function Documentation

## ◆ address() [1/2]

template<typename T , unsigned Alignment>

const_pointer btAlignedAllocator< T, Alignment >::address | ( | const_reference | ref | ) | const
| inline

Definition at line 88 of file btAlignedAllocator.h.

## ◆ address() [2/2]

template<typename T , unsigned Alignment>

pointer btAlignedAllocator< T, Alignment >::address | ( | reference | ref | ) | const
| inline

Definition at line 87 of file btAlignedAllocator.h.

## ◆ allocate()

template<typename T , unsigned Alignment>

pointer btAlignedAllocator< T, Alignment >::allocate | ( | size_type | n,
|  | const_pointer * | hint = 0 )
| inline

Definition at line 89 of file btAlignedAllocator.h.

## ◆ construct()

template<typename T , unsigned Alignment>

void btAlignedAllocator< T, Alignment >::construct | ( | pointer | ptr,
|  | const value_type & | value )
| inline

Definition at line 94 of file btAlignedAllocator.h.

## ◆ deallocate()

template<typename T , unsigned Alignment>

void btAlignedAllocator< T, Alignment >::deallocate | ( | pointer | ptr | ) |
| inline

Definition at line 95 of file btAlignedAllocator.h.

## ◆ destroy()

template<typename T , unsigned Alignment>

void btAlignedAllocator< T, Alignment >::destroy | ( | pointer | ptr | ) |
| inline

Definition at line 99 of file btAlignedAllocator.h.

## ◆ operator=()

template<typename T , unsigned Alignment>
template<typename O >

self_type & btAlignedAllocator< T, Alignment >::operator= | ( | const btAlignedAllocator< O, Alignment > & |  | ) |
| inline

Definition at line 107 of file btAlignedAllocator.h.

## Friends And Related Symbol Documentation

## ◆ operator==

template<typename T , unsigned Alignment>

bool operator== | ( | const self_type & | ,
|  | const self_type & | )
| friend

Definition at line 112 of file btAlignedAllocator.h.

The documentation for this class was generated from the following file:

- btAlignedAllocator.h